%define pkg_name        Class-Std
%define pkg_version     v0.0.8
%define rpm_pkg_version 0.0.8
%define rpm_pkg_release 2.n0i.4

Summary:       Support for creating standard "inside-out" classes
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/D/DC/DCONWAY/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)

%if %{!?_without_test:1}0
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(version)
%endif


%description
This module provides tools that help to implement the "inside out object"
class structure.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}
%{fix_mod}
%{fix_perl_path demo/}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}
%{fix_man}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes demo/ README


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 0.0.8-2.n0i.4.v0.0.8
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7

* Fri Mar 03 2006 Marius Feraru <altblue@n0i.net> - 0.0.8-1.n0i.3.v0.0.8
- version 0.0.8
- convert man page to UTF8

* Tue Sep 13 2005 Marius Feraru <altblue@n0i.net> 0.0.4-1.n0i.1
- version 0.0.4
- initial packaging
